Package org.gradle.tooling.model

## Interface BuildIdentifier

- All Superinterfaces:
    `Model`

      public interface BuildIdentifier
      extends Model

  Identifies a Gradle build.

  A Gradle Build is a collection of one or more projects.

  Since:
    2.13

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getRootDir()` | The root directory of this build

- - ### Method Detail

    - #### getRootDir

          java.io.File getRootDir()

      The root directory of this build
      Returns:
        the root dir, never null
      Since:
        3.3